<div class="input-field filter-field" style="position: relative; z-index: 50;">
    <input 
        [id]="fieldInfo.fieldName" 
        type="text"
        [ngClass]="classes"
        (input)="onFieldChange($event)"
        (change)="onFieldChange($event)"
        (click)="preventPickerOpening($event)"
        (keypress)="onKeypress($event)"
        value="{{getCurrentValue()}}"
    >
    <label [for]="fieldInfo.fieldName">{{fieldInfo.fieldTitle}}</label>
    <i *ngIf="fieldInfo.type==='datetime'" class="material-icons prefix bookm-sufix-icon" (click)="onDatetimeClicked()">date_range</i>
    <i *ngIf="deletable" class="material-icons bookm-sufix-icon" (click)="onDeleteClicked()">close</i>
</div>